Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Class Time

    java.lang.Object
      |
      +--java.util.Date
            |
            +--java.sql.Time

All Implemented Interfaces:
  Cloneable, Comparable, Serializable

public class Time
extends Date

A thin wrapper around `java.util.Date` that allows JDBC to identify this as a SQL `TIME` value. The `Time` class adds formatting and parsing operations to support the JDBC escape syntax for time values.

The date components should be set to the "zero epoch" value of January 1, 1970 and should not be accessed.

See Also:
  Serialized Form

Constructor Summary
`Time(int hour, int minute, int second)` Deprecated. Use the constructor that takes a milliseconds value in place of this constructor
`Time(long time)` Constructs a `Time` object using a milliseconds time value.

Method Summary
`int` | `getDate()` Deprecated.
`int` | `getDay()` Deprecated.
`int` | `getMonth()` Deprecated.
`int` | `getYear()` Deprecated.
`void` | `setDate(int i)` Deprecated.
`void` | `setMonth(int i)` Deprecated.
`void` | `setTime(long time)` Sets a `Time` object using a milliseconds time value.
`void` | `setYear(int i)` Deprecated.
`String` | `toString()` Formats a time in JDBC date escape format
`static Time` | `valueOf(String s)` Converts a string in JDBC time escape format to a `Time` value.

Methods inherited from class java.util.Date
`after, before, clone, compareTo, compareTo, equals, getHours, getMinutes, getSeconds, getTime, getTimezoneOffset, hashCode, parse, setHours, setMinutes, setSeconds, toGMTString, toLocaleString, UTC`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Time

    public Time(int hour,
                int minute,
                int second)

  Deprecated. Use the constructor that takes a milliseconds value in place of this constructor

  Constructs a `Time` object initialized with the given values for the hour, minute, and second. The driver sets the date components to January 1, 1970. Any method that attempts to access the date components of a `Time` object will throw a `java.lang.IllegalArgumentException`.
  Parameters:
    `hour` - 0 to 23
    `minute` - 0 to 59
    `second` - 0 to 59

### Time

    public Time(long time)

  Constructs a `Time` object using a milliseconds time value.
  Parameters:
    `time` - milliseconds since January 1, 1970, 00:00:00 GMT; a negative number is milliseconds before January 1, 1970, 00:00:00 GMT

Method Detail

### setTime

    public void setTime(long time)

  Sets a `Time` object using a milliseconds time value.
  Overrides:
    `setTime` in class `Date`
  Parameters:
    `time` - milliseconds since January 1, 1970, 00:00:00 GMT; a negative number is milliseconds before January 1, 1970, 00:00:00 GMT

### valueOf

    public static Time valueOf(String s)

  Converts a string in JDBC time escape format to a `Time` value.
  Parameters:
    `s` - time in format "hh:mm:ss"
  Returns:
    a corresponding `Time` object

### toString

    public String toString()

  Formats a time in JDBC date escape format
  Overrides:
    `toString` in class `Date`
  Returns:
    a `String` in hh:mm:ss format

### getYear

    public int getYear()

  Deprecated.

  This method is deprecated and should not be used because SQL `TIME` values do not have a year component.
  Overrides:
    `getYear` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### getMonth

    public int getMonth()

  Deprecated.

  This method is deprecated and should not be used because SQL `TIME` values do not have a month component.
  Overrides:
    `getMonth` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### getDay

    public int getDay()

  Deprecated.

  This method is deprecated and should not be used because SQL `TIME` values do not have a day component.
  Overrides:
    `getDay` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### getDate

    public int getDate()

  Deprecated.

  This method is deprecated and should not be used because SQL `TIME` values do not have a date component.
  Overrides:
    `getDate` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### setYear

    public void setYear(int i)

  Deprecated.

  This method is deprecated and should not be used because SQL `TIME` values do not have a year component.
  Overrides:
    `setYear` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### setMonth

    public void setMonth(int i)

  Deprecated.

  This method is deprecated and should not be used because SQL `TIME` values do not have a month component.
  Overrides:
    `setMonth` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

### setDate

    public void setDate(int i)

  Deprecated.

  This method is deprecated and should not be used because SQL `TIME` values do not have a date component.
  Overrides:
    `setDate` in class `Date`
  Throws:
    `IllegalArgumentException` - if this method is invoked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.